org.apache.fop.pdf

## Class DCTFilter

- java.lang.Object
- - org.apache.fop.pdf.PDFFilter
  - - org.apache.fop.pdf.NullFilter
    - - org.apache.fop.pdf.DCTFilter

    public class DCTFilter
    extends NullFilter

DCT Filter class. Right now it is just used as a dummy filter flag so we can write JPG images to the PDF. The encode method just returns the data passed to it. In the future an actual JPEG compression should be added to the encode method so other images can be compressed.

This work was authored by Eric Dalquist.

### Constructor Summary

Constructors
Constructor and Description
`DCTFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PDFObject` `getDecodeParms()` Get the decode params for this filter.
`String` `getName()` Get filter name.

### Methods inherited from class org.apache.fop.pdf.NullFilter

`applyFilter`

### Methods inherited from class org.apache.fop.pdf.PDFFilter

`isApplied, isASCIIFilter, setApplied`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DCTFilter

    public DCTFilter()

### Method Detail

#### getName

    public String getName()

Get filter name.

Overrides:
  `getName` in class `NullFilter`
Returns:
  the pdf name for the DCT filter

#### getDecodeParms

    public PDFObject getDecodeParms()

Get the decode params for this filter.

Overrides:
  `getDecodeParms` in class `NullFilter`
Returns:
  the DCT filter has no decode params